Create a webhook endpoint for the authenticated PSP


Authentication

Requires product-api-token (sent via the configured auth header as a JWT bearer token) headers.

Strongly recommended: register a webhook endpoint for every new MID as soon as it's created to receive real-time payment status updates.


Request body

JSON payload containing the documented webhook endpoint fields.

Required fields:


  • mId (string)
  • url (string)

Optional fields:

  • secret (string)
  • isActive (boolean)

Response

201: Webhook endpoint created successfully. Returned data includes:

  • id
  • mId
  • url
  • secret
  • isActive
  • createdAt
  • updatedAt

400: Bad request

401: Unauthorized

403: Forbidden

500: Internal server error

Body Params
string
required
string
required
string
boolean
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json